Bug 1011166 - inconsistent reporting of multiple options for Keyboard and Lang.Support spokes
inconsistent reporting of multiple options for Keyboard and Lang.Support spokes
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Vratislav Podzimek
Release Test Team
Depends On:
  Show dependency treegraph
Reported: 2013-09-23 13:16 EDT by Tomas Capek
Modified: 2014-06-17 21:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-19.31.24-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-13 07:24:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Capek 2013-09-23 13:16:10 EDT
Steps to Reproduce:

1. Click the Lang.Support spoke

2. Select two or more languages and click Done

3. Click the Keyboard spoke

4. Add two or more languages and click Done

Actual results:

In the Hub, the Lang.Support spoke lists all selected languages or indicates there are multiple languages selected by using "..." in the generated message

In contrast, the Keyboard spoke always only lists the first layout out of all that have been added.

Expected results:

Use the same format for both of these spokes.

If possible, change the generated string to include the number of selected languages, for example:

"English (United States), Finnish (Finland), ... (2 more)"


"English (United States), Finnish (Finland), ... (4 in total)"
Comment 3 Jan Stodola 2014-02-04 04:51:07 EST
All languages and keyboard layouts are displayed or "..." is used when longer lists of languages/layouts have been added.

Tested with anaconda-19.31.54-1.el7.

Moving to VERIFIED.
Comment 4 Ludek Smid 2014-06-13 07:24:25 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.